# module ERB::DefMethod

### Public Class Methods

def_erb_method (methodname, erb_or_fname)
Source

    # File lib/erb/def_method.rb, line 36
    def def_erb_method(methodname, erb_or_fname)
      if erb_or_fname.kind_of? String
        fname = erb_or_fname
        erb = ERB.new(File.read(fname))
        erb.def_method(self, methodname, fname)
      else
        erb = erb_or_fname
        erb.def_method(self, methodname, erb.filename || '(ERB)')
      end
    end

define methodname as instance method of current module, using `ERB` object or eRuby file

### Private Instance Methods

def_erb_method (methodname, erb_or_fname)
Source

    # File lib/erb/def_method.rb, line 36
    def def_erb_method(methodname, erb_or_fname)
      if erb_or_fname.kind_of? String
        fname = erb_or_fname
        erb = ERB.new(File.read(fname))
        erb.def_method(self, methodname, fname)
      else
        erb = erb_or_fname
        erb.def_method(self, methodname, erb.filename || '(ERB)')
      end
    end

define methodname as instance method of current module, using `ERB` object or eRuby file